﻿
class util.WebcamDisplay
{
	//{ PUBLIC MEMBERS
	
	// properties
	public function get webcam():Camera { return cam; }
	public function get clip():MovieClip { return display; }
	public function get video():Video { return display.video; }
	
	/**
	* Create a new webcam display surface
	*/
	function WebcamDisplay(targetURI:String, parent:MovieClip, name:String, depth:Number, initObj)
	{
		display = parent.attachMovie("VideoDisplay", name, depth, initObj);
		cam = Camera.get();
	}
	
	/**
	* Video surface dimensions
	*/
	function setSize(width:Number, heigth:Number):Void
	{
		display.video._width = width;
		display.video._height = heigth;
	}
	/**
	* Video clip position
	*/
	function setLocation(x:Number, y:Number):Void
	{
		display._x = x;
		display._y = y;
	}

	/**
	* Start webcam display
	*/
	public function play():Void
	{
		display.video.attachVideo(cam);
	}
	
	//}
	
	//{ PRIVATE MEMBERS
	
	private var display:MovieClip;
	private var cam:Camera;
	
	//}
}
